package cn.tedu.straw.api.user.service;

import cn.tedu.straw.api.user.dto.RegisterStudentDTO;
import cn.tedu.straw.api.user.model.User;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author tedu.cn
 * @since 2021-01-20
 */
public interface IUserService extends IService<User> {

    /**
     * 学生注册
     * @param  registerStudentDTO  客户端提交的学生信息
     */

    void registerStudent(RegisterStudentDTO registerStudentDTO);
}
